Bug 1068937

Summary: Review Request: js-json - An implementation of JSON encoders/decoders in JavaScript
Product: [Fedora] Fedora Reporter: Jamie Nguyen <jamielinux>
Component: Package ReviewAssignee: Tom Hughes <tom>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, tom
Target Milestone: ---Flags: tom: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: js-json-20140204git3d7767b-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-07 06:40:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 968605    

Description Jamie Nguyen 2014-02-23 11:39:25 UTC
Spec URL: http://jamielinux.fedorapeople.org/js-json/js-json.spec
SRPM URL: http://jamielinux.fedorapeople.org/js-json/SRPM/js-json-20140204git3d7767b-1.fc21.src.rpm
Fedora Account System Username: jamielinux

Description: An implementation of JSON encoders/decoders in JavaScript

Comment 1 Tom Hughes 2014-02-23 12:16:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: js-json-20140204git3d7767b-1.fc21.noarch.rpm
          js-json-20140204git3d7767b-1.fc21.src.rpm
js-json.noarch: W: spelling-error %description -l en_US stringify -> stringy
js-json.noarch: W: spelling-error %description -l en_US eval -> veal, vela, val
js-json.noarch: W: spelling-error %description -l en_US toJSONString -> nonstriking
js-json.noarch: W: spelling-error %description -l en_US parseJSON -> Parsons, parson
js-json.src: W: spelling-error %description -l en_US stringify -> stringy
js-json.src: W: spelling-error %description -l en_US eval -> veal, vela, val
js-json.src: W: spelling-error %description -l en_US toJSONString -> nonstriking
js-json.src: W: spelling-error %description -l en_US parseJSON -> Parsons, parson
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint js-json
js-json.noarch: W: spelling-error %description -l en_US stringify -> stringy
js-json.noarch: W: spelling-error %description -l en_US eval -> veal, vela, val
js-json.noarch: W: spelling-error %description -l en_US toJSONString -> nonstriking
js-json.noarch: W: spelling-error %description -l en_US parseJSON -> Parsons, parson
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
js-json (rpmlib, GLIBC filtered):
    web-assets-filesystem



Provides
--------
js-json:
    js-json



Source checksums
----------------
https://github.com/douglascrockford/JSON-js/archive/3d7767b6b1f3da363c625ff54e63bbf20e9e83ac/js-json-20140204git3d7767b.tar.gz :
  CHECKSUM(SHA256) this package     : 1a9dd4429e4bb4929dcb438f9591a3625bc8cc161f840b5f843d8b1d2c8dcfe5
  CHECKSUM(SHA256) upstream package : 1a9dd4429e4bb4929dcb438f9591a3625bc8cc161f840b5f843d8b1d2c8dcfe5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1068937
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-02-23 12:21:13 UTC
I think the only thing I would question is the decision to install into %{_jsdir}/js-json and I would suggest considering %{_jsdir}/json instead, with the js- prefix from the package name dropped.

The javascript guidelines don't require this, but the example used there (jquery) uses a directory without the js- prefix, and the few already packaged examples like js-underscore have dropped it from the directory.

That's not a blocker though, so package approved.

Comment 3 Jamie Nguyen 2014-02-23 12:32:08 UTC
Spec URL: http://jamielinux.fedorapeople.org/js-json/js-json.spec
SRPM URL: http://jamielinux.fedorapeople.org/js-json/SRPM/js-json-20140204git3d7767b-2.fc21.src.rpm

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 20140204git3d7767b-2
- install to %%{_jsdir}/json instead of %%{_jsdir}/js-json


Thanks for the review Tom! :)

Comment 4 Jamie Nguyen 2014-02-23 12:43:07 UTC
New Package SCM Request
=======================
Package Name: js-json
Short Description: An implementation of JSON encoders/decoders in JavaScript
Owners: jamielinux
Branches: f20 epel7
InitialCC:

Comment 5 Jamie Nguyen 2014-02-23 12:59:48 UTC
New Package SCM Request
=======================
Package Name: js-json
Short Description: An implementation of JSON encoders/decoders in JavaScript
Owners: jamielinux
Branches: f19 f20 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-02-24 13:35:59 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-02-24 16:58:32 UTC
js-json-20140204git3d7767b-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/js-json-20140204git3d7767b-3.fc20

Comment 8 Fedora Update System 2014-02-24 17:06:10 UTC
js-json-20140204git3d7767b-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/js-json-20140204git3d7767b-3.fc19

Comment 9 Fedora Update System 2014-02-24 17:06:44 UTC
js-json-20140204git3d7767b-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/js-json-20140204git3d7767b-3.el6

Comment 10 Fedora Update System 2014-02-24 20:09:43 UTC
js-json-20140204git3d7767b-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2014-03-07 06:40:41 UTC
js-json-20140204git3d7767b-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-03-07 06:42:11 UTC
js-json-20140204git3d7767b-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-03-11 23:58:32 UTC
js-json-20140204git3d7767b-3.el6 has been pushed to the Fedora EPEL 6 stable repository.